Bug 71983 - Add Environment object to Host and fix the GCC smartquotes trouble seen on the commit-queue
: Add Environment object to Host and fix the GCC smartquotes trouble seen on th...
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
: 71961 73062
:
  Show dependency treegraph
 
Reported: 2011-11-09 17:53 PST by
Modified: 2011-11-28 11:00 PST (History)


Attachments
Patch (21.51 KB, patch)
2011-11-09 17:54 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
Patch (19.80 KB, patch)
2011-11-23 15:15 PST, Eric Seidel
abarth: review+
abarth: commit‑queue+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-09 17:53:52 PST
Add Environment object to Host and fix the GCC smartquotes trouble seen on the commit-queue
------- Comment #1 From 2011-11-09 17:54:53 PST -------
Created an attachment (id=114414) [details]
Patch
------- Comment #2 From 2011-11-09 18:04:04 PST -------
Once this is in, hopefully we can run the test-webkitpy tests on the commit-queue again, and we can get rid of the evironment overrides in start-queue.sh which are breaking the cq for folks with unicode names. :)
------- Comment #3 From 2011-11-09 18:09:43 PST -------
(From update of attachment 114414 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=114414&action=review

> Tools/Scripts/webkitpy/common/system/environment_mock.py:38
> +    @classmethod
> +    def disable_gcc_smartquotes(self, env):

I think you want the Host to vend your a mutable Environment object that has a getter that returns the env dictionary.  The MockHost can then vend you a legit Environment object with a dictionary initialized to something independent of the actual environment.
------- Comment #4 From 2011-11-23 15:15:41 PST -------
Created an attachment (id=116438) [details]
Patch
------- Comment #5 From 2011-11-23 15:23:55 PST -------
Committed r101107: <http://trac.webkit.org/changeset/101107>
------- Comment #6 From 2011-11-23 16:20:41 PST -------
Adam: Would you try removing the envionment hack in the ews/cq servers now that this has landed?
------- Comment #7 From 2011-11-23 16:57:01 PST -------
> Adam: Would you try removing the envionment hack in the ews/cq servers now that this has landed?

Sure, although I'll probably wait until after Thanksgiving so I don't have to do any crisis management over the holiday weekend.
------- Comment #8 From 2011-11-28 09:01:41 PST -------
This got rolled out in bug 73062.  Fixing now.
------- Comment #9 From 2011-11-28 11:00:13 PST -------
Committed r101266: <http://trac.webkit.org/changeset/101266>